#include <pigpio.h>
#include <stdio.h>

#define DCD_LED 17

int main()
{
	if (gpioInitialise() < 0)
	{
	   // pigpio initialisation failed.
	   printf("pigpio failed");
	}
	else
	{
	   // pigpio initialised okay.
	   gpioSetMode(DCD_LED, PI_OUTPUT); // Set DCD_LED as output
	   gpioWrite(DCD_LED, 1); // Set DCD_LED high
	   gpioSleep(PI_TIME_RELATIVE, 1, 0);     // sleep for one second
	   gpioWrite(DCD_LED, 0); // Set DCD_LED low
	   gpioTerminate();
	}
}
